Page MenuHomePhabricator

Modernize logging, alerting and metrics monitoring infrastructure - Adopt Logstash (2018-19 Q1 Goal)
Closed, ResolvedPublic

Description

Parent task for 2018-2019 Q1 Adopt Logstash goal:

  • Review Logstash/Kibana's architecture and installation and identify next steps and gaps to be addressed.
  • Audit log producers across the infrastructure and plan their transition to centralized logging.
  • Investigate log shipping methods and standardize on them.

Event Timeline

herron triaged this task as Medium priority.Jul 3 2018, 7:24 PM
herron created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2018, 7:24 PM
herron added a subscriber: fgiunchedi.
fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Jul 27 2018, 9:21 AM
fgiunchedi closed this task as Resolved.Oct 1 2018, 1:22 PM
fgiunchedi claimed this task.

This task and its related goal have been completed, see also T205849: Begin the implementation of Q1's Logging Infrastructure design (2018-19 Q2 Goal) for the implementation of the logging design document and related followups.